# -------------------------------------------------------------------
# $Id: Torque.properties,v 1.2 2001/11/19 21:56:05 dlr Exp $
#
# This is the configuration file for Torque.
#
# Note that strings containing "," (comma) characters must backslash 
# escape the comma (i.e. '\,')
#
# -------------------------------------------------------------------

# -------------------------------------------------------------------
# 
#  L O G G I N G
#
# -------------------------------------------------------------------
# We use Log4J for all Turbine logging and we embed the log4j
# properties within our application configuration.
#
# NOTE:
# The presence of ${webapp} in the logging configuration
# is not a mistake. Internally the value of ${webapp}
# is set so that you can use it with standard log4j
# properties to get logs to appear in your
# webapp space.
# -------------------------------------------------------------------

# This first category is required and the category
# must be named 'default'. This is used for all logging
# where an explicit category is not specified.

log4j.category.default = ALL, default
log4j.appender.default = org.apache.log4j.FileAppender
log4j.appender.default.file = ./torque.log
log4j.appender.default.layout = org.apache.log4j.PatternLayout
log4j.appender.default.layout.conversionPattern = %d [%t] %-5p %c - %m%n
log4j.appender.default.append = false

log4j.category.org.apache.torque = ALL, org.apache.torque
log4j.appender.org.apache.torque = org.apache.log4j.FileAppender
log4j.appender.org.apache.torque.file = ./turbine.log
log4j.appender.org.apache.torque.layout = org.apache.log4j.PatternLayout
log4j.appender.org.apache.torque.layout.conversionPattern = %d [%t] %-5p %c - %m%n
log4j.appender.org.apache.torque.append = false

# This category is used in the BasePeer class. All
# SQL generated will be logged if the category
# priority is set to DEBUG

log4j.category.sql = ALL, sql
log4j.appender.sql = org.apache.log4j.FileAppender
log4j.appender.sql.file = ./sql.log
log4j.appender.sql.layout = org.apache.log4j.PatternLayout
log4j.appender.sql.layout.conversionPattern = %d [%t] %-5p %c - %m%n
log4j.appender.sql.append = false

# -------------------------------------------------------------------
# 
#  D A T A B A S E  S E R V I C E
#
# -------------------------------------------------------------------
# These are your database settings.  Look in the
# org.apache.turbine.util.db.pool.* packages for more information.
# The default driver for Turbine is for MySQL.
#
# The parameters to connect to the default database.  You MUST
# configure these properly.
# -------------------------------------------------------------------
torque.earlyInit = true

torque.database.default=default

#torque.database.default.driver=sun.jdbc.odbc.JdbcOdbcDriver
torque.database.default.driver=org.postgresql.Driver
torque.database.default.url=jdbc:postgresql://pcg801l/erik_square
torque.database.default.username=scott
torque.database.default.password=tiger



# The number of database connections to cache per ConnectionPool
# instance (specified per database).

torque.database.default.maxConnections=10
torque.database.square.maxConnections=10

# The amount of time (in milliseconds) that database connections will be
# cached (specified per database).
#
# Default: one hour = 60 * 60 * 1000

torque.database.default.expiryTime=3600000
torque.database.square.expiryTime=3600000

# The amount of time (in milliseconds) a connection request will have to wait
# before a time out occurs and an error is thrown.
#
# Default: ten seconds = 10 * 1000

torque.database.default.connectionWaitTimeout=10000
torque.database.square.connectionWaitTimeout=10000

# The interval (in milliseconds) between which the PoolBrokerService logs 
# the status of it's ConnectionPools.
#
# Default: No logging = 0 = 0 * 1000

torque.database.logInterval=0

# These are the supported JDBC drivers and their associated Turbine
# adaptor.  These properties are used by the DBFactory.  You can add
# all the drivers you want here.
torque.database.adapter=DBOdbc
#torque.database.adapter.DBOdbc=sun.jdbc.odbc.JdbcOdbcDriver
torque.database.adapter.DBOdbc=org.postgresql.Driver
#torque.database.adapter.DBMM=
#torque.database.adapter.DBMM=org.gjt.mm.mysql.Driver
#torque.database.adapter.DBMM=org.postgresql.Driver

# Determines if the quantity column of the IDBroker's id_table should
# be increased automatically if requests for ids reaches a high
# volume.

torque.database.idbroker.cleverquantity=true

